edelib: TiXmlVisitor Class Reference

edelib 1.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TiXmlVisitor Class Reference

SAX emulation. More...

`#include <edelib/TiXml.h>`

Inheritance diagram for TiXmlVisitor:

## Public Member Functions
virtual | ~TiXmlVisitor ()
virtual bool | VisitEnter (const TiXmlDocument &doc)
virtual bool | VisitExit (const TiXmlDocument &doc)
virtual bool | VisitEnter (const TiXmlElement &element, const TiXmlAttribute *firstAttribute)
virtual bool | VisitExit (const TiXmlElement &element)
virtual bool | Visit (const TiXmlDeclaration &declaration)
virtual bool | Visit (const TiXmlText &text)
virtual bool | Visit (const TiXmlComment &comment)
virtual bool | Visit (const TiXmlUnknown &unknown)

## Detailed Description

SAX emulation.

If you call the Accept() method, it requires being passed a TiXmlVisitor class to handle callbacks. For nodes that contain other nodes (Document, Element) you will get called with a VisitEnter/VisitExit pair. Nodes that are always leaves are simple called with Visit().

If you return 'true' from a Visit method, recursive parsing will continue. If you return false, no children of this node or its sibilings will be Visited.

All flavors of Visit methods have a default implementation that returns 'true' (continue v isiting). You need to only override methods that are interesting to you.

Generally Accept() is called on the TiXmlDocument, although all nodes suppert Visiting.

You should never change the document from a callback.

See also
  TiXmlNode::Accept()

## Constructor & Destructor Documentation

virtual ~TiXmlVisitor | ( |  | ) |
| inlinevirtual

Empty destructor

## Member Function Documentation

virtual bool Visit | ( | const TiXmlDeclaration & | declaration | ) |
| inlinevirtual

Visit a declaration

virtual bool Visit | ( | const TiXmlText & | text | ) |
| inlinevirtual

Visit a text node

virtual bool Visit | ( | const TiXmlComment & | comment | ) |
| inlinevirtual

Visit a comment node

virtual bool Visit | ( | const TiXmlUnknown & | unknown | ) |
| inlinevirtual

Visit an unknow node

virtual bool VisitEnter | ( | const TiXmlDocument & | doc | ) |
| inlinevirtual

Visit a document

virtual bool VisitEnter | ( | const TiXmlElement & | element,
|  | const TiXmlAttribute * | firstAttribute
| ) |  |
| inlinevirtual

Visit an element

virtual bool VisitExit | ( | const TiXmlDocument & | doc | ) |
| inlinevirtual

Visit a document

virtual bool VisitExit | ( | const TiXmlElement & | element | ) |
| inlinevirtual

Visit an element

The documentation for this class was generated from the following file:

- edelib/TiXml.h